Boxes.py


WallDrillBox

Box for drills with each compartment with a different height

Settings for Finger Joints

angle
style

style of the fingers

surroundingspaces

space at the start and end in multiple of normal spaces

bottom_lip

height of the bottom lips sticking out (multiples of thickness) FingerHoleEdge only!

edge_width

space below holes of FingerHoleEdge (multiples of thickness)

extra_length

extra material to grind away burn marks (multiples of thickness)

finger

width of the fingers (multiples of thickness)

play

extra space to allow finger move in and out (multiples of thickness)

space

space between fingers (multiples of thickness)

width

width of finger holes (multiples of thickness)

Settings for plain WallEdges

edge_width

space below holes of FingerHoleEdge (multiples of thickness)

Settings for SlatWallEdges

bottom_hook

"spring", "stud" or "none"

hook_depth

horizontal width of the hook

hook_distance

horizontal space to the hook

hook_height

height of the horizontal bar of the hook

hook_overall_height

height of the hook top to bottom

pitch

vertical spacing of slots middle to middle (in mm)

edge_width

space below holes of FingerHoleEdge (multiples of thickness)

hook_extra_height

space surrounding connectors (multiples of thickness)

Settings for DinRailEdges

bottom

"stud" or "none"

depth

horizontal width of the hook

edge_width

space below holes of FingerHoleEdge (multiples of thickness)

Settings for FrenchCleatEdges

angle

angle of the cut (0 for horizontal)

bottom

"stud", "hook" or "none"

depth

horizontal width of the hook in mm

spacing

distance of the cleats in mm (for bottom hook)

edge_width

space below holes of FingerHoleEdge (multiples of thickness)

Settings for Stackable Edges

angle

inside angle of the feet

bottom_stabilizers

height of strips to be glued to the inside of bottom edges (multiples of thickness)

height

height of the feet (multiples of thickness)

holedistance

distance from finger holes to bottom edge (multiples of thickness)

width

width of the feet (multiples of thickness)

WallDrillBox Settings

walltype

Type of wall system to attach to

sx

sections left to right in mm 🛈

sy

sections back to front in mm 🛈

sh

sections bottom to top in mm 🛈

extra_height

height difference left to right

Default Settings

thickness

thickness of the material (in mm) 🛈

format

format of resulting file 🛈

tabs

width of tabs holding the parts in place (in mm)(not supported everywhere) 🛈

debug

print surrounding boxes for some structures 🛈

labels

label the parts (where available)

reference

print reference rectangle with given length (in mm)(zero to disable) 🛈

inner_corners

style for inner corners 🛈

burn

burn correction (in mm)(bigger values for tighter fit) 🛈



Note: sh gives the hight of the rows front to back. It though should have the same number of entries as sy. These heights are the one on the left side and increase throughout the row. To have each compartment a bit higher than the previous one the steps in sh should be a bit bigger than extra_height.

Assembly:

Parts

Start with putting the slots of the inner walls together. Be especially careful with adding the bottom. It is always asymmetrical and flush with the right/lower side while being a little short on the left/higher side to not protrude into the side wall.

Assembly inner walls Assembly bottom
Then add the front and the back wall. Add the very left and right walls last.
Assembly front and back Assembly side walls